MDVA-38526: O usuário administrador não pode acessar a ferramenta SWAT

O patch MDVA-38526 resolve o problema em que o usuário administrador não consegue acessar a ferramenta SWAT. Este patch está disponível quando a variável Ferramenta de correções de qualidade (QPT) O 1.1.9 está instalado. A ID do patch é MDVA-38526. Observe que o problema está programado para ser corrigido no Adobe Commerce 2.4.4.

Produtos e versões afetados

O patch é criado para a versão do Adobe Commerce:

  • Adobe Commerce (todos os métodos de implantação) 2.4.1-p1

Compatível com as versões do Adobe Commerce:

  • Adobe Commerce (todos os métodos de implantação) 2.4.1 - 2.4.3-p1
NOTE
O patch pode se tornar aplicável a outras versões com as novas versões da Ferramenta de patches de qualidade. Para verificar se o patch é compatível com sua versão do Adobe Commerce, atualize o magento/quality-patches pacote para a versão mais recente e verifique a compatibilidade no Quality Patches Tool: Página Procurar patches. Use a ID do patch como palavra-chave de pesquisa para localizar o patch.

Problema

O usuário administrador não pode acessar a ferramenta SWAT.

Etapas a serem reproduzidas:

Tente alcançar ../swat/key/index

Resultados esperados:

  1. ../swat/key/index returns 200.
  2. O usuário administrador pode acessar o SWAT.

Resultados reais:

500 O erro é disparado com o seguinte log de erros: Não é possível desserializar o valor. Erro: erro de sintaxe.

Aplicar o patch

Para aplicar patches individuais, use os links a seguir, dependendo do método de implantação:

Leitura relacionada

Para saber mais sobre a Ferramenta de correção de qualidade, consulte:

Para obter informações sobre outros patches disponíveis no QPT, consulte Patches disponíveis no QPT na documentação do desenvolvedor.

recommendation-more-help
8bd06ef0-b3d5-4137-b74e-d7b00485808a